package com.ruoyi.projectChbSwf.service.impl;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.projectChbSwf.mapper.KzksProjectChbSwfMapper;
import com.ruoyi.projectChbSwf.domain.KzksProjectChbSwf;
import com.ruoyi.projectChbSwf.service.IKzksProjectChbSwfService;

/**
 * 事务费Service业务层处理
 * 
 * @author yanxun
 * @date 2023-08-10
 */
@Service
public class KzksProjectChbSwfServiceImpl implements IKzksProjectChbSwfService 
{
    @Autowired
    private KzksProjectChbSwfMapper kzksProjectChbSwfMapper;

    /**
     * 查询事务费
     * 
     * @param id 事务费主键
     * @return 事务费
     */
    @Override
    public KzksProjectChbSwf selectKzksProjectChbSwfById(String id)
    {
        return kzksProjectChbSwfMapper.selectKzksProjectChbSwfById(id);
    }

    /**
     * 查询事务费列表
     * 
     * @param kzksProjectChbSwf 事务费
     * @return 事务费
     */
    @Override
    public List<KzksProjectChbSwf> selectKzksProjectChbSwfList(KzksProjectChbSwf kzksProjectChbSwf)
    {
        return kzksProjectChbSwfMapper.selectKzksProjectChbSwfList(kzksProjectChbSwf);
    }

    /**
     * 新增事务费
     * 
     * @param kzksProjectChbSwf 事务费
     * @return 结果
     */
    @Override
    public int insertKzksProjectChbSwf(KzksProjectChbSwf kzksProjectChbSwf)
    {
        kzksProjectChbSwf.setCreateTime(DateUtils.getNowDate());
        return kzksProjectChbSwfMapper.insertKzksProjectChbSwf(kzksProjectChbSwf);
    }

    /**
     * 修改事务费
     * 
     * @param kzksProjectChbSwf 事务费
     * @return 结果
     */
    @Override
    public int updateKzksProjectChbSwf(KzksProjectChbSwf kzksProjectChbSwf)
    {
        kzksProjectChbSwf.setUpdateTime(DateUtils.getNowDate());
        return kzksProjectChbSwfMapper.updateKzksProjectChbSwf(kzksProjectChbSwf);
    }

    /**
     * 批量删除事务费
     * 
     * @param ids 需要删除的事务费主键
     * @return 结果
     */
    @Override
    public int deleteKzksProjectChbSwfByIds(String[] ids)
    {
        return kzksProjectChbSwfMapper.deleteKzksProjectChbSwfByIds(ids);
    }

    /**
     * 删除事务费信息
     * 
     * @param id 事务费主键
     * @return 结果
     */
    @Override
    public int deleteKzksProjectChbSwfById(String id)
    {
        return kzksProjectChbSwfMapper.deleteKzksProjectChbSwfById(id);
    }


    /**
     * 根据科研任务号获取事务费总和
     *
     * @param taskno 任务号
     * @return 结果
     */
    @Override
    public BigDecimal selectSwfByTaskno(String taskno) {
        return kzksProjectChbSwfMapper.selectSwfByTaskno(taskno);
    }
}
